<?php

namespace loyalsoft;

/**
 * 玩家关卡地图区域数据
 * @author gwang
 */
class Ins_Mapzone extends Object_ext {

    /**
     * 当前区域id
     * @var type
     */
    public $zoneid;

    /**
     * 最后一次挑战的关卡ID
     * @var int
     */
    public $latest = 1;

    /**
     * 已挑战的最高关卡Id(用于限定解锁关卡)
     * @var int
     */
    public $highest = 1;

    /**
     * 关卡具体数据()
     * @var array[]
     */
    public $gates = array();

    /**
     * 构造函数
     * @param type $arg
     */
    function __construct($arg = null) {
        if (null === $arg) {
            $this->gates = array();
        } else {
            parent::__construct($arg);
        }
    }

}
